Try ERPNext Buy Support Partners Foundation Foundation Members

bench new-site erp.example.com failed

rror: No such command “new-site”.
Traceback (most recent call last):
File “/usr/bin/bench”, line 11, in
load_entry_point(‘bench’, ‘console_scripts’, ‘bench’)()
File “/opt/bench/bench-repo/bench/cli.py”, line 40, in cli
bench_command()
File “/usr/lib/python2.7/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/usr/lib/python2.7/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/usr/lib/python2.7/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/lib/python2.7/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/usr/lib/python2.7/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/usr/lib/python2.7/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/opt/bench/bench-repo/bench/commands/setup.py”, line 190, in setup_manager
exec_cmd(“bench new-site --force bench-manager.local”)
File “/opt/bench/bench-repo/bench/utils.py”, line 161, in exec_cmd
raise CommandFailedError(cmd)
bench.utils.CommandFailedError: bench new-site --force bench-manager.local

I’ve been having hard time installing ERPNext on a new server these recent days. Something must’ve changed. It’s first libssl1.0-dev, I fix that and then it’s “can’t change into user”, I fix that, and it’s something new-site command not found…

Guys, please allocate someone to look after this.

I’ve tried Ubuntu 16, 18, CentOS 7 all have been failing. And I was just fine about a month ago (looking at my snapshots).

I have tried for 2 days on this and multiple build and even tried on Ubuntu still the same

After getting tired I am going to try Odoo on Ubantu

I have Tried following links in all to install ERPNext




Try the following steps to install ERPNext on a fresh Ubuntu server

  1. Create a new Linux Ubuntu server (DO, AWS, GCP)

  2. Login to the server via SSH as root user

  3. Run the following commands in order
    During the installation, it will ask for MySQL root and ERPNext Administrator password

     sudo apt-get update -y
     sudo apt-get upgrade -y
     sudo apt-get install python-minimal -y
     sudo apt-get install build-essential python-setuptools -y
    
     sudo adduser [some_username_here]
     usermod -aG sudo [some_username_here]
     su some_user_here
     cd /home/some_user_here/
    
     wget https://raw.githubusercontent.com/frappe/bench/master/playbooks/install.py
     sudo python install.py --production
    
  4. After successful install, go to the server IP address in your browser and login to the system

After you install ERPNext, to run any bench related commands make sure you are in the bench working directory viz. /home/frappe/frappe-bench/

Also, run the commands as sudo instead of running them as root user

It gives following error
eading state information… Done
E: Unable to locate package libssl1.0-dev
E: Couldn’t find any package by glob ‘libssl1.0-dev’
E: Couldn’t find any package by regex ‘libssl1.0-dev’
Traceback (most recent call last):
File “install.py”, line 413, in
install_bench(args)
File “install.py”, line 21, in install_bench
‘sudo yum install -y epel-release redhat-lsb-core git python-setuptools python-devel openssl-devel libffi-devel’
File “install.py”, line 226, in run_os_command
returncode = subprocess.check_call(command, shell=True)
File “/usr/lib/python2.7/subprocess.py”, line 541, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command ‘sudo apt-get install -y git build-essential python3-setuptools python3-dev libffi-dev libssl1.0-dev’ returned non-zero exit status 100

This is an issue with your operating system.

Run the following command manually before installing.

sudo apt-get install -y git build-essential python3-setuptools python3-dev libffi-dev libssl1.0-dev

If there are any issues resolve this, then retry your installation.

1 Like